function [Param,Fun,tv2]=SaturFitKris(OldData,Errors,Time)
opts=optimset('TolFun',10^-1,'TolX',10^-4,'Algorithm','levenberg-marquardt','display','off');% 'trust-region-reflective');%

lb=[];
ub=[];

Data=OldData;

tv=Time;

AClguess=Data(end,2)*0.9;
AUCguess=Data(1,1)*1.5;
tauguess=2;
cClguess=0;
cUCguess=0;
toff=0;

Errors=Errors.^0.2;
Errors=Errors./max(max(Errors));

Guess=[AClguess,AUCguess, tauguess,cClguess,cUCguess,toff];
ToFitTo=zeros(size(Data));

    FitFun=@(x,tv) SaturFitFun(x,Guess,tv,Data,Errors);
    Parameter=lsqcurvefit(FitFun,Guess,tv,ToFitTo,lb,ub,opts); 
    Param=abs(Parameter);
    x=Parameter;
    x=abs(x);
    ACl=x(1);
    AUC=x(2);
    tau=x(3);
    cCl=x(4);
    cUC=x(5);
    toff=x(end);


tv2=tv+toff;
    F2=ACl-ACl*exp(-tv2/tau)+cCl;
    F1=cUC+(AUC-cUC)*exp(-tv2/tau);

    Fun=[F1 F2];
    hold on
    plot(tv2,Fun,tv2,Data,'o')
    hold off

end


function F=SaturFitFun(x,Guess,tv,Data,Errors)

 x=abs(x);
    ACl=x(1);
    AUC=x(2);
    tau=x(3);
    cCl=x(4);
    cUC=x(5);

    toff=x(6);

    toff=0;
    
    tv2=tv+toff;
    F2=ACl-ACl*exp(-tv2/tau)+cCl;

    F1=cUC+(AUC-cUC)*exp(-tv2/tau);
    F=[F1' F2'];
    F=[F1 F2];
    Fun=F;
    F=Data-F;
    
    %%%%weighting for standard deviation of the data
    F=F.*Errors.^2;


end